/**
 * Beetroot
 * By Disroot.org
 * Based on Redbasic
 */

/* generals */

html {
  font-size: $font_size;
}

body {
   background-color: $bgcolour;
   color: $font_colour;
}

#left_aside_wrapper .nav-link.active {
    color: #fff;
    background-color: $link_bgcolour;
}

#right_aside_wrapper .nav-link.active {
    color: #fff;
    background-color: $link_bgcolour;
}

/* navbar */

.navbuttons i {
    color: $nav_icon_colour;
    margin-right: 0.2rem;
}

.navbar-text {
     position: absolute;
     right: 20%;
     text-align: center;
     width: 60%;
 }

.mr-auto .navbar-app.nav-link {
    color: $nav_icon_colour;
    padding: 0.3rem;
}

.navbar-toggler {
    padding: 0.3rem;
}

.navbuttons .nvba:focus i,
.navbuttons .nvba:hover i {
    color: $nav_active_icon_colour;
}

.section-content-info-wrapper {
    padding: 21px 10px;
    color: #50162d;
    background-color: #ccbdc3;
    border-bottom: 3px solid rgb(255,255,255);
    text-align: center;
    border-radius: $radius;
}

/* network filters */

#main-slider ins {
    color: #fff;
    font-size: 0.8rem;
    font-weight: 900;
    text-shadow: 1px 0px 2px #444;
}

.nav-tabs {
    border:none;
}

#region_2 .nav-link {
    background-color: rgba(184,184,184,0.7);
    color: #fff;
    border: 1px solid #fff;
    border-radius: $radius $radius 0 0;
}

#region_2 .nav-link:hover {
    color: $link_colour;
}

#region_2 .nav-link.active {
    background-color: rgba(254,254,254,1);
    color: $link_colour;
}

.wall-item-photo {
    width: 3.7rem;
    height: 3.7rem;
    border-radius: 50%;
    box-shadow: none;
}

#avatar {
    border-radius: 50%;
    box-shadow: none;
}

.photo, .contact-block-img {
    border-radius: 50%;
    box-shadow: none;
}

.vcard {
    margin-bottom: 10px;
    padding: 15px 10px 10px 10px;
    background-color: rgba(254,254,254,0.7);
    border: none;
    -moz-box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
    box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
}

.wall-item-head-new {
    border-top: 0.2rem solid #8EB726;
}

.wall-item-title {
    background-color: #fff;
}

.ivoted {
    color: #8EB726;
 /*   color: $future_variable_2;*/
}

.item-highlight {
    border-left: 0.2rem solid #8EB726;
}

#jot-title,
#jot-pagetitle,
#profile-jot-wrapper
#profile-jot-text, {
    border-radius: $radius $radius 0 0 ;
    border: 0px;
    -moz-box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
    box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
}

.section-title-wrapper {
    border-radius: $radius;
}
.section-subtitle-wrapper {
    border-radius: $radius;
}
.section-content-wrapper, .section-content-tools-wrapper {
    border-radius: $radius;
    width: 100%;
}
.panel .section-content-tools-wrapper {
    border-radius: 0 0 $radius $radius;
}
.panel .section-subtitle-wrapper {
    border-radius: $radius $radius 0 0;
}

.generic-content-wrapper {
    border: none;
    border-radius: $radius;
    margin-bottom: 1.5rem;
}

.bg-primary {
    background-color: $link_bgcolour !important;
}

/* widgets */

.widget {
    background-color: rgba(254,254,254,.8);
    border: none;
    -moz-box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
    box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
}


/* bootstrap overrides */

.btn,
.form-control,
.nav-pills .nav-link,
.nav-tabs .nav-link {
    border-radius: 0.45rem;
}

.btn-primary, .btn-success {
    color: #fff;
    background-color: #8eb726;
    border-color: #8eb726;
}

.btn-primary:hover, .btn-success:hover {
    color: #fff;
    background-color: #6c9504;
    border-color: #6c9504;
}

.btn-primary.disabled, .btn-primary:disabled {
    color: #fff;
    background-color: #8eb726;
    border-color: #8eb726;
}

.btn-outline-primary {
    color: #8eb726;
    border-color: #8eb726;
}

.btn-outline-primary:hover {
    color: #fff;
    background-color: #6c9504;
    border-color: #6c9504;
}

.btn-outline-primary.disabled, .btn-outline-primary:disabled {
    color: #8eb726;
}

.btn-outline-secondary:hover {
    color: #fff;
    background-color: #50162d;
    border-color: #6c757d;
}

.btn-outline-success {
    color: #8eb726;
    border-color: #8eb726;
}

.btn-outline-success:hover {
    background-color: #8eb726;
    border-color: #8eb726;
}

.dropdown-item.active {
    color: #fff;
    background-color: #8eb726;
}

/* images */

img {
    border-radius: 1%;
    box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
}

img.smiley {
    box-shadow: none;
    border: none;
}

/* Reshares */

.shared_container {
    background-color: #FFFFFF;
    margin-left: 3rem;
    margin-right: 1.5rem;
    padding-bottom: 2.0rem;
    padding-left: 0.5rem;
    padding-top: 0.5rem;
    border-radius: 0.2rem;
    box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
}

.shared_header {
    text-decoration: underline;
}

.reshared-content {
    padding-left: 1.5rem;
    padding-right: 1rem;
}

/* Suggested and contact list */

.profile-match-wrapper, .contact-entry-wrapper {
     float: none;
     display: inline-block;
     vertical-align: middle;
     width: 30%;
     height: auto;
     padding: 10px;
     margin: 8px 10px 0 0;
     background-color: #fff;
     border: none;
     border-radius: $radius;
 }

 @media screen and (min-width: 1366px) {
     .profile-match-wrapper, .contact-entry-wrapper {
         width: 20%;
     }
 }

#region2 .profile-match-wrapper {
    -moz-box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
    -webkit-box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
    box-shadow: 0px 3px 3px rgba(0,0,0,0.2);
}

.suggestions-widget .profile-match-wrapper {
    width: 45%;
    border: solid 1px #eee;
    padding: 4%;
    margin: 2%;
}

.profile-match-name, .contact-entry-name {
    width: 100%;
    font-weight: 900;
    text-align: center;
    overflow: hidden !important;
}

.profile-match-photo, .contact-photo-entry-wrapper {
    width: 100%;
    margin-bottom: 5%;
}

.profile-match-photo img, .directory-photo-img, #region_2 .contact-entry-photo-wrapper img {
    border-radius: 50%;
    border: none;
    width: 80% !important;
    height: auto !important;
    margin: 0 10%;
}


.profile-match-connect, .profile-match-ignore { margin-top: 15px; }
.widget .profile-match-connect, .widget .profile-match-ignore { margin-top: 15px; }

.connect-no-text { display:none; }
.widget .connect-no-text { display: inline-block; }
.widget .connect-text { display:none; }

/* Connections and Directory */
.connections-wrapper .section-content-tools-wrapper, .directory-item .section-content-tools-wrapper {
    border-radius: 0 0 $radius $radius;
}
.connections-wrapper .section-subtitle-wrapper, .directory-item .section-subtitle-wrapper {
    border-radius: $radius $radius 0 0;
}

 /* Files and Photos */
 #cloud-drag-area {
     border-radius: $radius;
 }
 [id^="cloud-index-"]:hover td:first-child {
     border-radius: 0 0 0 $radius;
 }

 [id^="cloud-index-"]:hover td:last-child {
     border-radius: 0 0 $radius 0;
 }
 .section-content-wrapper-np {
     border-radius: $radius;
     padding: 2% 0;
 }
